Software Defined Networking
cancel
Showing results for 
Search instead for 
Did you mean: 

Re: Issues building SDN base controller with unmet dependancies

 
SOLVED
Go to solution
Highlighted
Occasional Advisor

Issues building SDN base controller with unmet dependancies

I am coming across a number of issues building a base controller.

 

Following the installation guide running on Ubuntu 12.04.5 LTS 

first issue it get while install the keystone server section 2.1.2

2. Use the following commands to install the Keystone server on the local machine.
~$ sudo apt-get install python-software-properties
ubuntu-cloud-keyring

 

Error

python-software-properties : Depends: python-pycurl but it is not installable

 


~$ sudo add-apt-repository cloud-archive:icehouse

Command not found

 

I have tried installing but constantly come across issues. Has ubuntu 12 LTS support changed since the document was created? 

 

I have tried to build it on 14.04 but come across simular issue with unmet dependancies but i know its not support on 14.

 

Any help or suggestion on a reliable method of installing the controller.

 

7 REPLIES 7
Highlighted
Valued Contributor

Re: Issues building SDN base controller with unmet dependancies

Hello,

 

for issue 1:

 

Looking at the command you posted the section "ubuntu-cloud-keyring" ends on a new line:

 

~$ sudo apt-get install python-software-properties

ubuntu-cloud-keyring

 

can you try to execute the command on a single line?:

 

~$ sudo apt-get install python-software-properties ubuntu-cloud-keyring

 

issue 2:

 

did you try to add the repository as shown in the manual (I'm going to use Icehouse in the example below):

 

~$ sudo add-apt-repository "deb http://ubuntu-cloud.archive.canonical.com/ubuntu precise-updates/icehouse main"

 

The controller should be installed on a Ubuntu server 12.04 (as from the manual you are following).

 

Please let me know whether the issue persists after modifying the apt-get and add-apt-repository commands.

 

Regards,

Antonio

SDN CoE Team

 

 

 

 

Highlighted
Occasional Advisor

Re: Issues building SDN base controller with unmet dependancies

Hi Thanks for the response, Although looks like its on a diffrent line, i entered it on the terminal on one line, output below.

 

admin-ap@ub12:~$ sudo apt-get install python-software-properties ubuntu-cloud-keyring

[sudo] password for admin-ap:

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Some packages could not be installed. This may mean that you have

requested an impossible situation or if you are using the unstable

distribution that some required packages have not yet been created

or been moved out of Incoming.

The following information may help to resolve the situation:

 

The following packages have unmet dependencies.

python-software-properties : Depends: python-pycurl but it is not installable

E: Unable to correct problems, you have held broken packages.

admin-ap@ub12:~$

 

I check the version to confirm 

 

admin-ap@ub12:~$ lsb_release -a

No LSB modules are available.

Distributor ID: Ubuntu

Description: Ubuntu 12.04.5 LTS

Release: 12.04

Codename: precise

admin-ap@ub12:~$

 

So i tried to fix the problem

 

root@ub12:/home/admin-ap# apt-get install python-pycurl

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Package python-pycurl is not available, but is referred to by another package.

This may mean that the package is missing, has been obsoleted, or

is only available from another source

 

E: Package 'python-pycurl' has no installation candidate

 

Tried an alternitive package

 

root@ub12:/home/admin-ap# sudo apt-get install software-properties-common

.........

The following NEW packages will be installed

  software-properties-common

0 to upgrade, 1 to newly install, 0 to remove and 44 not to upgrade.

.......

Setting up software-properties-common (0.82.7.7) ...

 

 

root@ub12:/home/admin-ap# sudo apt-get install ubuntu-cloud-keyring

......

The following NEW packages will be installed

  ubuntu-cloud-keyring

0 to upgrade, 1 to newly install, 0 to remove and 44 not to upgrade.

.......

Processing ubuntu-cloud.archive.canonical.com removal keyring

OK

 

 

root@ub12:/home/admin-ap# dpkg -i hp-sdn-ctl_2.4.3.0595_amd64.deb

Selecting previously unselected package hp-sdn-ctl.

(Reading database ... 52348 files and directories currently installed.)

Unpacking hp-sdn-ctl (from hp-sdn-ctl_2.4.3.0595_amd64.deb) ...

Creating system group 'sdn'...

...done.

Creating system user 'sdn'...

...done.

Creating system user 'sdnadmin'...

...done.

dpkg: dependency problems prevent configuration of hp-sdn-ctl:

hp-sdn-ctl depends on openjdk-7-jre-headless (>= 7u41); however:

  Package openjdk-7-jre-headless is not installed.

hp-sdn-ctl depends on openjdk-7-jre-headless (<< 8); however:

  Package openjdk-7-jre-headless is not installed.

hp-sdn-ctl depends on libpq5; however:

  Package libpq5 is not installed.

hp-sdn-ctl depends on postgresql (>= 9.1); however:

  Package postgresql is not installed.

hp-sdn-ctl depends on postgresql-client (>= 9.1); however:

  Package postgresql-client is not installed.

hp-sdn-ctl depends on postgresql-client-common; however:

  Package postgresql-client-common is not installed.

hp-sdn-ctl depends on postgresql-common; however:

  Package postgresql-common is not installed.

hp-sdn-ctl depends on unzip; however:

  Package unzip is not installed.

hp-sdn-ctl depends on arping; however:

  Package arping is not installed.

hp-sdn-ctl depends on ntp; however:

  Package ntp is not installed.

dpkg: error processing hp-sdn-ctl (--install):

dependency problems - leaving unconfigured

Processing triggers for ureadahead ...

Errors were encountered while processing:

hp-sdn-ctl

root@ub12:/home/admin-ap#

 

 

 

root@ub12:/home/admin-ap# sudo apt-get install software-properties-common python-software-properties

Reading package lists... Done

Building dependency tree      

Reading state information... Done

software-properties-common is already the newest version.

You might want to run 'apt-get -f install' to correct these:

The following packages have unmet dependencies.

hp-sdn-ctl : Depends: openjdk-7-jre-headless (>= 7u41) but it is not going to be installed

             Depends: openjdk-7-jre-headless (< 8) but it is not going to be installed

             Depends: libpq5 but it is not going to be installed

             Depends: postgresql (>= 9.1) but it is not going to be installed

             Depends: postgresql-client (>= 9.1)

             Depends: postgresql-client-common but it is not going to be installed

             Depends: postgresql-common but it is not going to be installed

             Depends: unzip but it is not going to be installed

             Depends: arping but it is not installable

           Depends: ntp but it is not going to be installed

python-software-properties : Depends: unattended-upgrades but it is not going to be installed

                             Depends: python-pycurl but it is not installable

E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

root@ub12:/home/admin-ap#

 

 

root@ub12:/home/admin-ap# apt-get -f install

Reading package lists... Done

Building dependency tree      

……

Setting up unzip (6.0-4ubuntu2) ...

Processing triggers for libc-bin ...

ldconfig deferred processing now taking place

 

root@ub12:/home/admin-ap# sudo apt-get install software-properties-common python-software-properties

Reading package lists... Done

Building dependency tree      

Reading state information... Done

software-properties-common is already the newest version.

Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming.

The following information may help to resolve the situation:

 

The following packages have unmet dependencies.

python-software-properties : Depends: python-pycurl but it is not installable

E: Unable to correct problems, you have held broken packages.

root@ub12:/home/admin-ap#

Highlighted
Valued Contributor

Re: Issues building SDN base controller with unmet dependancies

Hi,

 

can you try to run:

 

anto@ubuntu:~$ sudo apt-get update

 

Then try to install needed packages?

If still facing issues please post the output of following commands:

 

anto@ubuntu:~$ dpkg -l

 

and

 

anto@ubuntu:~$ dpkg --get-selections

 

Also, Is this a fresh installation?

if not, was this server upgraded to 12.04 from an older version?

Is the server running on a VM? (if yes, considering that the error is related to the OS, it might be simpler to re-build it)

Did you install a GUI on the server?

 

Regards,

 

Antonio

CSC SDN CoE

Highlighted
Occasional Advisor

Re: Issues building SDN base controller with unmet dependancies

Is this an issue with my version of Ubuntu or will everybody be experianing these sorts of issues trying to install. 

 

 

I have run into errors with the apt-get update

 

hash sum mismatch on 

W: Failed to fetch http://gb.archive.ubuntu.com/ubuntu/dists/precise/main/source/Sources  Hash Sum mismatch

W: Failed to fetch http://gb.archive.ubuntu.com/ubuntu/dists/precise/restricted/source/Sources  Hash Sum mismatch

W: Failed to fetch http://gb.archive.ubuntu.com/ubuntu/dists/precise/universe/source/Sources  Hash Sum mismatch

W: Failed to fetch http://gb.archive.ubuntu.com/ubuntu/dists/precise/multiverse/source/Sources  Hash Sum mismatch

W: Failed to fetch http://gb.archive.ubuntu.com/ubuntu/dists/precise/main/binary-amd64/Packages  Hash Sum mismatch

W: Failed to fetch http://gb.archive.ubuntu.com/ubuntu/dists/precise/restricted/binary-amd64/Packages  Hash Sum mismatch

W: Failed to fetch http://gb.archive.ubuntu.com/ubuntu/dists/precise/universe/binary-amd64/Packages  Hash Sum mismatch

W: Failed to fetch http://gb.archive.ubuntu.com/ubuntu/dists/precise/multiverse/binary-amd64/Packages  Hash Sum mismatch

W: Failed to fetch http://gb.archive.ubuntu.com/ubuntu/dists/precise/main/binary-i386/Packages  Hash Sum mismatch

W: Failed to fetch http://gb.archive.ubuntu.com/ubuntu/dists/precise/restricted/binary-i386/Packages  Hash Sum mismatch

W: Failed to fetch http://gb.archive.ubuntu.com/ubuntu/dists/precise/universe/binary-i386/Packages  Hash Sum mismatch

W: Failed to fetch http://gb.archive.ubuntu.com/ubuntu/dists/precise/multiverse/binary-i386/Packages  Hash Sum mismatch

 

Posted this on the Ubuntu Fourm to try and resolve.

 

This was a freash install from the 12.04 LTS from http://releases.ubuntu.com/12.04/

 

I also ran the other 2 commands and attached the output

 

 

 

Highlighted
Valued Contributor
Solution

Re: Issues building SDN base controller with unmet dependancies

Hi,

 

I did never experience such issues in all installations I performed.

This looks to be an issue on your server.

Looking at the hash sum mismatch error it may be useful to run:

 

 sudo rm  -R /var/lib/apt/lists/*

 

and then again

 

sudo apt-get update

 

The files you uploaded does not seem to contain the output of the dpkg -l or dpkg --get-selections command.

 

Starting from scratch and following latest (and updated) installation guide may be a good idea though.

 

Regards,

 

Antonio

 

 

 

 

Highlighted
Occasional Advisor

Re: Issues building SDN base controller with unmet dependancies

I have  got the apt-get install update to work without failing although not entirely sure how

 

I ran 

 

$ apt-cache search python-pycurl

bzr - easy to use distributed version control system

bzr-doc - easy to use distributed version control system (documentation)

python-bzrlib - distributed version control system - python library

$ apt-cache search python-bzrlib

python-bzrlib - distributed version control system - python library

python-bzrlib-dbg - distributed version control system - debug extension

python-bzrlib.tests - distributed version control system - testsuite

 

$ sudo apt-get install bzr-doc

 

The following NEW packages will be installed

  bzr-doc

0 to upgrade, 1 to newly install, 0 to remove and 0 not to upgrade

 

But 

apt-get install python-software-properties still failed

 

$ sudo rm /var/lib/apt/list/*

rm: cannot remove `/var/lib/apt/list/*': No such file or directory

$ sudo apt-get update

 

and then it worked.

 

I will build the rest of the controller and try and replicate the issue (I had rebuilt the server a number of times)

 

Thanks for the time and help.

Highlighted
Occasional Advisor

Re: Issues building SDN base controller with unmet dependancies

Sorry, hadn't read the reply before posting,

Yes i think the 

$ sudo rm /var/lib/apt/list/*

 

fixed the issue.

Thanks for the help.